=== debian/changelog ===
golang-gopkg-neurosnap-sentences.v1 (1.0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:00:45 +0100

golang-gopkg-neurosnap-sentences.v1 (1.0.6-1) unstable; urgency=medium

  * Initial release (Closes: #871472)

 -- Anthony Fok <foka@debian.org>  Tue, 08 Aug 2017 03:44:33 -0600
